ParserProperty (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.ant.ParserProperty class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.ant
Class ParserProperty

    java.lang.Object
      com.martiansoftware.jsap.ant.ParserProperty

    public class ParserProperty

extends Object

Stores/provides a single name/value pair for a PropertyStringParser For detailed information on using the jsap task, see the documentation for JSAPAntTask.

Author:
  Marty Lamb
See Also:
  `JSAPAntTask`, `PropertyStringParser`

Constructor Summary
`ParserProperty()`

Method Summary
`String` | `getName()` Returns the name of this property.
`String` | `getValue()` Returns the value of this property.
`void` | `setName(String name)` Sets the name of this property.
`void` | `setValue(String value)` Sets the value of this property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserProperty

    public ParserProperty()

Method Detail

### setName

    public void setName(String name)

  Sets the name of this property.

  Parameters:
    `name` - the name of this property.

### getName

    public String getName()

  Returns the name of this property.

  Returns:
    the name of this property.

### setValue

    public void setValue(String value)

  Sets the value of this property.

  Parameters:
    `value` - the value of this property.

### getValue

    public String getValue()

  Returns the value of this property.

  Returns:
    the value of this property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap